Summary:	makedepend utility - create dependencies in makefiles
Summary(pl.UTF-8):	Narzędzie makedepend - tworzenie zależności w makefile'ach
Name:		xorg-util-makedepend
Version:	1.0.6
Release:	1
License:	MIT
Group:		X11/Development/Tools
Source0:	https://xorg.freedesktop.org/releases/individual/util/makedepend-%{version}.tar.bz2
# Source0-md5:	b2ca7f2f21f1c04a88b6a254c19c9b68
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The makedepend program reads each sourcefile in sequence and parses it
like a C-preprocessor, processing all "#include", "#define", "#undef",
"#ifdef", "#ifndef", "#endif", "#if", "#elif" and "#else" directives
so that it can correctly tell which #include directives would be used
in a compilation. Any "#include", directives can reference files
having other "#include" directives, and parsing will occur in these
files as well.

Every file that a sourcefile includes, directly or indirectly, is what
makedepend calls a dependency. These dependencies are then written to
a makefile in such a way that make will know which object files
must be recompiled when a dependency has changed.

%description -l pl.UTF-8
Program makedepend czyta po kolei wszystkie pliki źródłowe i analizuje
je tak, jak robi to preprocesor C, przetwarzając wszystkie dyrektywy
"#include", "#define", "#undef", "#ifdef", "#ifndef", "#endif", "#if",
"#elif" aby móc stwierdzić, które dyrektywy "#include" będą użyte
podczas kompilacji. Każda dyrektywa "#include" może odnosić się do
plików mających kolejne dyrektywy "#include", a wtedy te pliki będą
także przeanalizowane.

Każdy plik dołączany przez plik źródłowy, bezpośrednio lub pośrednio,
jest nazywany przez makedepend zależnością. Zależności te są
dopisywane do pliku makefile w taki sposób, aby program make wiedział,
które pliki wynikowe muszą być przekompilowane w przypadku zmiany
którejś zależności.

%prep
%setup -q -n makedepend-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/makedepend
%{_mandir}/man1/makedepend.1*
%changelog
* Tue Mar 19 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-util-makedepend.git;a=log;h=master

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> b15a360
- updated to 1.0.6

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e6e2933
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jul 23 2013 Jakub Bogusz <qboosh@pld-linux.org> cf005a8
- fixed build without xman suffix

* Tue Jul 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 51f80f6
- updated to 1.0.5

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 7b8943a
- updated to 1.0.4

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 36fa0fc
- updated to 1.0.3

* Sun Oct 11 2009 Jakub Bogusz <qboosh@pld-linux.org> be852ac
- updated util-macros version

* Sun Oct 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 57e727c
- up to 1.0.2

* Thu Mar 22 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e937d45
- up to 1.0.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7cd5c89
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8c911bd
- converted to UTF-8

* Sun Dec 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 4f31f0e
- argh, stupid parser, line cannot begin with '#'; quote all directives

* Sun Dec 24 2006 Jakub Bogusz <qboosh@pld-linux.org> a471843
- desc from manual

* Sun May 14 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d11fba3
- no more X11R7.0 in setup

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d28e427
- update md5sum for individual files.

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 123946c
- switch to individual files

* Sat Feb 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 11623cd
- release 1

* Thu Dec 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 633031f
- sources from X11R7.0 release

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 607f9c2
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 748aed6
- 0.99.3 (X11R7.0-RC3)

